Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 192860 - /dev is not owned by any package
Summary: /dev is not owned by any package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-23 17:16 UTC by Robert Scheck
Modified: 2015-03-05 01:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-28 05:27:57 UTC


Attachments (Terms of Use)

Description Robert Scheck 2006-05-23 17:16:46 UTC
Description of problem:
The directory /dev is not owned by any package.

Version-Release number of selected component (if applicable):
filesystem-2.3.7-1.2.1

How reproducible:
rpm -qf /dev

Expected results:
Please apply the following patch (or better):

--- snipp ---
--- filesystem.spec     2006-02-11 03:43:40.000000000 +0100
+++ filesystem.spec.rsc 2006-05-23 19:21:58.000000000 +0200
@@ -22,7 +22,7 @@
 cd %{buildroot}

 mkdir -p mnt/{floppy,cdrom} \
-       bin boot \
+       bin boot dev \
        etc/{X11/{applnk,sysconfig,serverconfig,starthere},opt,xinetd.d,skel,
sysconfig,pki} \
        home lib/modules %{_lib}/tls media mnt opt proc root sbin selinux srv 
sys tmp \
         usr/{bin,etc,games,include,%{_lib}/{games,gcc-lib,tls,X11},lib/{games,
gcc-lib,locale,X11},libexec,local/{bin,etc,games,lib,%{_lib},sbin,src,share/
{man/man{1,2,3,4,5,6,7,8,9,n},info},libexec,include,},sbin,share/{applications,
doc,dict,games,info,man/man{1,2,3,4,5,6,7,8,9,n},doc,misc,empty,pixmaps,
xsessions},src} \
@@ -39,6 +39,7 @@
 %dir /
 /bin
 /boot
+/dev
 /etc
 /home
 /lib
--- snapp ---

Additional info:
Problem behind this bug report is very similar to bug #165797.

Comment 1 Phil Knirsch 2006-06-28 05:27:57 UTC
Fixed in latest rawhide package.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.